# GET Question by id

## Question by id

<mark style="color:blue;">`GET`</mark> `https://api.feedbackly.com/v5.0.2/questions/:id`

Gets a specific question by id

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| id   | string | Question id |

#### Query Parameters

| Name              | Type   | Description                                                                                                                                             |
| ----------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| preferredLanguage | string | Preferred language to show the question titles in eg. 'en'. If the specified language is not available, it will default to the first available language |

#### Headers

| Name          | Type   | Description                                                                                |
| ------------- | ------ | ------------------------------------------------------------------------------------------ |
| Authorization | string | Authentication token to access the API eg: 'Authorization': 'ey0iuefg.834xcunerun348efnsd' |

{% tabs %}
{% tab title="200 " %}

```
{
    "_id": "58d8d547b8c71e000e3824fc",
    "title": "How likely are you to recommend us to a friend or colleague?",
    "subtitle": "0=Not likely at all 10=Extremely likely",
    "choicesString": [],
    "questionType": "NPS",
    "languages": [
        "en",
        "es",
        "af"
    ],
    "language": "en",
    "choices": [],
    "surveyId": "58d8d3d14cb016000e203e0e"
}
```

{% endtab %}

{% tab title="401 " %}

```
{
    "error": "Question inaccessible    Error id : 1583414902648/mOXsfkd7."
}
```

{% endtab %}
{% endtabs %}

### Request Return type

Returns [Question Data object](https://docs.feedbackly.com/v.5.0.2/api/questions/..#question-data-object)
